> ## Documentation Index
> Fetch the complete documentation index at: https://drdroid.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Interactive Playground

> Enable users to interact with your API

The API playground is an interactive environment to make requests and preview an API endpoint.

<Info>
  Autogenerating API pages with OpenAPI will automatically generate API
  playground. Read more about using OpenAPI with Mintlify
  [here](/api-playground/openapi).
</Info>


## OpenAPI

````yaml GET /plants/{id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /plants/{id}:
    get:
      parameters:
        - name: id
          in: path
          description: The ID of plant to fetch
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Plant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plant'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Plant:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the plant
          type: string
        tag:
          description: Tag to specify the type
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````